Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.compare
Class ComparableComparator

    java.lang.Object
      org.hibernate.internal.util.compare.ComparableComparator

All Implemented Interfaces:
  Serializable, Comparator<Comparable>

    public class ComparableComparator

extends Object
implements Comparator<Comparable>, Serializable

Delegates to Comparable

See Also:
  Serialized Form

Field Summary
`static Comparator` | `INSTANCE`

Constructor Summary
`ComparableComparator()`

Method Summary
`int` | `compare(Comparable one, Comparable another)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final Comparator INSTANCE

Constructor Detail

### ComparableComparator

    public ComparableComparator()

Method Detail

### compare

    public int compare(Comparable one,
                       Comparable another)

  Specified by:
    `compare` in interface `Comparator<Comparable>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.